curl --request GET \
--url https://api.zippendo.com/orgs/{orgId}/carriers \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"name": "<string>",
"carrierSlug": "<string>",
"config": {},
"senderAddressId": "<string>",
"orgId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"senderAddress": {
"id": "<string>",
"name": "<string>",
"attContact": "<string>",
"address1": "<string>",
"address2": "<string>",
"zipcode": "<string>",
"city": "<string>",
"phone": "<string>",
"countryCode": "<string>",
"state": "<string>",
"email": "jsmith@example.com",
"orgId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"customs": {}
}
}
],
"total": 123,
"page": 123,
"limit": 123,
"totalPages": 123
}Get all carriers for an organization
curl --request GET \
--url https://api.zippendo.com/orgs/{orgId}/carriers \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"name": "<string>",
"carrierSlug": "<string>",
"config": {},
"senderAddressId": "<string>",
"orgId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"senderAddress": {
"id": "<string>",
"name": "<string>",
"attContact": "<string>",
"address1": "<string>",
"address2": "<string>",
"zipcode": "<string>",
"city": "<string>",
"phone": "<string>",
"countryCode": "<string>",
"state": "<string>",
"email": "jsmith@example.com",
"orgId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"customs": {}
}
}
],
"total": 123,
"page": 123,
"limit": 123,
"totalPages": 123
}JWT access token or API token (prefixed with zipp_)
Organization ID
1 <= x <= 90071992547409911 <= x <= 100